Bug 1278891 - 'dnf install @xfce-desktop' installs kernel-debug* packages
'dnf install @xfce-desktop' installs kernel-debug* packages
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
26
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 11:41 EST by Jaroslav Škarvada
Modified: 2017-03-31 13:00 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-31 13:00:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Transaction (20.04 KB, application/x-gzip)
2015-11-06 11:41 EST, Jaroslav Škarvada
no flags Details

  None (edit)
Description Jaroslav Škarvada 2015-11-06 11:41:55 EST
Created attachment 1090723 [details]
Transaction

Description of problem:
I think it don't need kernel-debug and it works correctly if all debug packages are removed. It may be also wrong dep in some package and not dnf bug, but filling there for the start (because I am not aware of any method how to find out which package pulls it in as dependency).

Version-Release number of selected component (if applicable):
dnf-1.1.3-1.fc23.noarch

How reproducible:
Always

Steps to Reproduce:
1. Provision clean f23 server system (x86_64)
2. dnf install @xfce-desktop

Actual results:
The following packages are installed and debug kernel entry is created in the grub menu:
kernel-debug-core
kernel-debug-modules
kernel-debug-modules-extra

Expected results:
No kernel-debug installed

Additional info:
Comment 1 Honza Silhan 2015-11-09 08:29:45 EST
Thanks for the report.
Comment 2 satellitgo 2015-11-09 19:19:00 EST
dnf update of installed f23 wks live x86_64 to HD (RC-10)

Fedora (4.2.5-300.fc23.x86_64 + debug) (Worktation Edition)
Fedora (4.2.5-300.fc23.x86_64 ) (Worktation Edition)
Comment 3 satellitgo 2015-11-09 19:22:48 EST
(In reply to satellitgo from comment #2)
> dnf update of installed f23 wks live x86_64 to HD (RC-10)
> 
> Fedora (4.2.5-300.fc23.x86_64 + debug) (Worktation Edition)
> Fedora (4.2.5-300.fc23.x86_64 ) (Worktation Edition)

originally had after install:
Fedora (4.2.3-300.fc23.x86_64 + debug) (Worktation Edition)
Fedora (4.2.3-300.fc23.x86_64 ) (Worktation Edition)
Comment 4 satellitgo 2015-11-09 19:35:29 EST
(In reply to satellitgo from comment #3)
> (In reply to satellitgo from comment #2)
> > dnf update of installed f23 wks live x86_64 to HD (RC-10)
> > 
> > Fedora (4.2.5-300.fc23.x86_64 + debug) (Worktation Edition)
> > Fedora (4.2.5-300.fc23.x86_64 ) (Worktation Edition)
> 
> originally had after install:
> Fedora (4.2.3-300.fc23.x86_64 + debug) (Worktation Edition)
> Fedora (4.2.3-300.fc23.x86_64 ) (Worktation Edition)
I did install dkms in original install
 https://bugzilla.redhat.com/show_bug.cgi?id=1228897
Comment 5 Fedora Admin XMLRPC Client 2016-07-08 05:36:01 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2016-11-24 08:08:55 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Igor Gnatenko 2016-11-30 04:22:57 EST
We should use SOLV_DISFAVOR for all *-debug* packages or at least kernel ones and it should fix the problem.
Comment 8 Fedora End Of Life 2017-02-28 04:50:19 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 9 Jaroslav Mracek 2017-03-31 13:00:43 EDT
I am not sure if SOLV_DISFAVOR can be applicable for dependency. Anyway I was unable to reproduce the problem with dnf-2.2.0_1-4g3813e71.fc25.noarch, libdnf-0.8.1-1.fc25.x86_64, libsolv-0.6.26-20g668e249.fc25.x86_64.

Please if anyone will find a reproducer with dnf-2.2 and libsolv-0.6.26 or later versions, please reopen the bug. Latest dnf versions were released into fc26 and rawhide, but we support testing repository for Fedora24 and later version ("dnf copr enable rpmsoftwaremanagement/dnf-nightly").

Note You need to log in before you can comment on or make changes to this bug.